<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */

namespace Kufer\Web\KuferTools\Teilnehmer\BayerischerApothekertagStudenten\AnmeldeFormular;

class AnmeldeFormularController extends \Kufer\Web\KuferTools\Basis\Controller\ToolController
{
  protected function getUseCase(): \Kufer\Web\KuferTools\Basis\UseCase\UseCase
  {
    return new AnmeldeFormularUseCase($this->getRequestObj());
  }

  protected function getRequestObj()
  {
    $requestObj = new AnmeldeFormularRequest();
    $requestObj->knrAry = explode(':', \GetOperations::getVarValue('knrs'));

    return $requestObj;
  }

  protected function getPresenter($pUseCaseResponse)
  {
    return new AnmeldeFormularPresenter($pUseCaseResponse);
  }
}